Bug 5558 - -- Stats Output
-- Stats Output
Status: CLOSED WONTFIX
Product: rsync
Classification: Unclassified
Component: core
3.0.0
All All
: P3 enhancement
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-22 22:08 UTC by Wayne Carruthers
Modified: 2008-07-26 10:49 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wayne Carruthers 2008-06-22 22:08:39 UTC
When using a multi line batch file to synch two systems the --stats output gives no indication of which line in the batch file the individual stats refer to

It would be helpful and make the output easier to understand if the stats output printed the rsync command executed as the first line of any stats

To place the above suggestion into context, I synchronise 8 directories on two machines daily using cron/rsync with the stats emailed to two administrators.

The stats are great and assist in identifying problems but it is a pain remembering which group of stats belong to which directory.  

If it is considered a security problem having the full rsync command as the first line of the stats output perhaps the source or destination section of the command line could be utilised
Comment 1 Matt McCutchen 2008-06-23 18:50:33 UTC
You can print the rsync command yourself using an "echo" in the batch file.
Comment 2 Wayne Carruthers 2008-06-23 21:05:15 UTC
Yes I can use an echo, but surely we are all looking to improve the product and in this case readability of the --stats output

The current output is like having an answer to a question without the question
Comment 3 Matt McCutchen 2008-06-23 21:46:24 UTC
(In reply to comment #2)
> Yes I can use an echo, but surely we are all looking to improve the product and
> in this case readability of the --stats output

We are not looking to bloat rsync with features easily implemented outside of it.  Besides, the command is not a statistic.  You're welcome to use a modified version of rsync that prints the command with --stats if you wish.
Comment 4 Wayne Carruthers 2008-06-23 22:39:20 UTC
With all due respect, a small improvement in readability surely could not be considered bloat, more like commonsense, and to suggest that --stats does not provide statistics is a surprising statement to say the least.

Perhaps this could be linked to the other change (bud 2602) to improve stats which is more complex & has been outstanding since 2005

I would also like to see some information on files/directories added/deleted
Comment 5 Wayne Davison 2008-06-23 23:59:59 UTC
I agree with Matt that this is not something that --stats should output.  The person calling rsync is in a much better position to know how best to summarize what the copy is doing (e.g. echo the whole command, echo the destination, etc.) than rsync would be.  Matt also meant that it is this extra output that you are requesting that is not a statistic, not the --stats option.
Comment 6 Wayne Carruthers 2008-06-24 00:15:42 UTC
Fair enough

I have made the suggestion and it has been rejected

I will however continue to regard the need to add a comment explaining the meaning of the statistics externally to rsync as a work around rather than a solution

At the same time could I thank all who have made rsync such a great powerful tool
their efforts are certainly appreciated